package com.hsoft.sfrz.common.security.client;

import com.hsoft.sfrz.common.security.client.utils.TysfrzUtil4;
import java.io.UnsupportedEncodingException;

public class TysfrzClient4 {

   public static String encrypt(String data, String key) throws UnsupportedEncodingException, Exception {
      return data != null && data.length() > 1024?TysfrzUtil4.encryptBig(key, data):TysfrzUtil4.encrypt(key, data);
   }

   public static String encrypt(String data, String key, String iv) throws UnsupportedEncodingException, Exception {
      return TysfrzUtil4.encrypt(key, iv, data);
   }

   public static String decrypt(String data, String key) throws UnsupportedEncodingException, Exception {
      return data != null && data.contains("::")?TysfrzUtil4.decryptBig(key, data):TysfrzUtil4.decrypt(key, data);
   }

   public static String decrypt(String data, String key, String iv) throws UnsupportedEncodingException, Exception {
      return TysfrzUtil4.decrypt(key, iv, data);
   }

   public static void main(String[] args) throws UnsupportedEncodingException, Exception {
      String key = "0123456789ABCDEFFEDCBA9876543210";
      String text = "0123456789ABCDEFFEDCBA9876543210";
      String vi = "1234567890ABCDEF1234567890ABCDEFG";
      String s = encrypt(text, key);
      System.out.println(s);
      String d = decrypt(s, key);
      System.out.println(d);
   }
}
